//---------------------------------------------------------------------------

#ifndef CDSOrganFH
#define CDSOrganFH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <ADODB.hpp>
#include <DB.hpp>
#include "cxCustomData.hpp"
#include "ITSLibF.h"
//---------------------------------------------------------------------------

/*
*  Organ class
*/
class TItsOrgan
{
public:
    TItsOrgan();
    virtual ~TItsOrgan();
    void Clear();
private:
    bool    FCompleted;
    int     FEditMode;
	int     FGridIndex;

public:
    String  CNCT_INTN_NMBR;         //NUMBER(10)	N			연계 기관 관리 번호
    String  CNCT_INTN_NM;           //VARCHAR2(50)	Y			연계 기관 명
    String  CNCT_INTN_TYPE_CD;      //VARCHAR2(7)	Y			연계 기관 유형 코드
    String  CNCT_INTN_TEL;          //VARCHAR2(128)	Y			연계 기관 전화번호
    String  CNCT_INTN_ADDR;         //VARCHAR2(200)	Y			연계 기관 주소
    String  RMRK;                   //VARCHAR2(600)	Y			비고
    String  DEL_YN;                 //CHAR(1)	Y	'N'		삭제 여부

    String  MEM_DEL;
    
public:
    __property bool   Completed = {read = FCompleted, write = FCompleted};
	__property int    EditMode  = {read = FEditMode,  write = FEditMode };
	__property int    GridIndex = {read = FGridIndex, write = FGridIndex };
};
//---------------------------------------------------------------------------

/*
* Organ Manager
*/
class TItsOrganManager
{
public:
    TItsOrganManager();
    virtual ~TItsOrganManager();

public:
    TItsMap<String, TItsOrgan*>  FLists;

public:
    bool LoadFromDb(TADOConnection *ADbConn=NULL);
};
//---------------------------------------------------------------------------
extern TItsOrganManager *ItsOrganManager;
//---------------------------------------------------------------------------

#endif

